Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226359 - Merge Review: rdist
Summary: Merge Review: rdist
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukáš Nykrýn
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:48 UTC by Nobody's working on this, feel free to take it
Modified: 2012-05-14 22:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-14 22:09:41 UTC
lnykryn: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:48:41 UTC
Fedora Merge Review: rdist

http://cvs.fedora.redhat.com/viewcvs/devel/rdist/
Initial Owner: pknirsch@redhat.com

Comment 1 Lukáš Nykrýn 2011-08-15 14:32:39 UTC
Checked git commit:
2f508312795b1acf021efff24f2376326b60e268

source files match upstream
	YES rdist-6.1.5.tar.gz
	NO rdist-eu-license.txt - no longer exist, now http://www.magnicomp.com/rdist/rdist-eu-license.shtml
	YES rdist-v1.1.tar.bz2

YES package meets naming and versioning guidelines. 
NO specfile is properly named, is cleanly written and uses macros consistently.
-- buildprereq is deprecated
YES dist tag is present.
YES clean section and buildroot present
YES license field matches the actual license
YES license is open source-compatible 
YES license text included in package
YES latest version is being packaged
YES BuildRequires are proper.
N/A compiler flags are appropriate.
NO package builds in mock (Rawhide/x86_64).
-- YES after changing BuildPreReq to BuildRequires  
YES debuginfo package looks complete.

NO rpmlint is silent.
$ rpmlint rdist.spec 
rdist.spec:33: E: buildprereq-use byacc bison
rdist.spec: E: specfile-error warning: line 33: buildprereq is deprecated: BuildPreReq: byacc bison
0 packages and 1 specfiles checked; 2 errors, 0 warnings.
rdist.spec: W: invalid-url Source1: http://www.magnicomp.com/rdist/rdist-eu-license.txt HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint rdist-6.1.5-51.fc17.src.rpm
rdist.src: W: summary-ended-with-dot C Maintains identical copies of files on multiple machines.
rdist.src: W: spelling-error %description -l en_US mtime -> mime, time, m time
rdist.src:33: E: buildprereq-use byacc bison
rdist.src: E: specfile-error warning: line 33: buildprereq is deprecated: BuildPreReq: byacc bison
1 packages and 0 specfiles checked; 2 errors, 2 warnings.

$ rpmlint rdist-6.1.5-51.fc17.x86_64.rpm 
rdist.x86_64: W: summary-ended-with-dot C Maintains identical copies of files on multiple machines.
rdist.x86_64: W: spelling-error %description -l en_US mtime -> mime, time, m time
rdist.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/rdist-6.1.5/rdist-licensing-email.txt
rdist.x86_64: W: no-manual-page-for-binary oldrdist
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

YES final provides and requires look sane.
N/A %check is present and all tests pass.
YES no shared libraries are added to the regular linker search paths.
YES owns the directories it creates.
YES doesn't own any directories it shouldn't.
YES no duplicates in %files.
N/A scriptlets must be sane.
YES code, not content.
N/A large documentation files must go in a -doc subpackage.
YES %docs are not necessary for the proper functioning of the package.
YES no headers.
YES no pkgconfig files.
YES no libtool .la droppings.
YES not a GUI app.

Notes:
Maybe put oldrdist in its own package.
Licence change to BSD is based only on copy of email, I am not sure if it is OK.

Comment 2 Vojtech Vitek 2011-08-23 13:45:49 UTC
(In reply to comment #1)
>  NO rdist-eu-license.txt - no longer exist, now
> http://www.magnicomp.com/rdist/rdist-eu-license.shtml
Fixed.

> NO specfile is properly named, is cleanly written and uses macros consistently.
> -- buildprereq is deprecated
s/BuildPreReq/BuildRequires/ (it is tag, not macro, btw)

> NO package builds in mock (Rawhide/x86_64).
> -- YES after changing BuildPreReq to BuildRequires  
Ok now.

> NO rpmlint is silent.
> $ rpmlint rdist.spec 
> rdist.spec:33: E: buildprereq-use byacc bison
> rdist.spec: E: specfile-error warning: line 33: buildprereq is deprecated:
> BuildPreReq: byacc bison
> 0 packages and 1 specfiles checked; 2 errors, 0 warnings.
> rdist.spec: W: invalid-url Source1:
> http://www.magnicomp.com/rdist/rdist-eu-license.txt HTTP Error 404: Not Found
> 0 packages and 1 specfiles checked; 0 errors, 1 warnings.
> 
> $ rpmlint rdist-6.1.5-51.fc17.src.rpm
> rdist.src: W: summary-ended-with-dot C Maintains identical copies of files on
> multiple machines.
> rdist.src: W: spelling-error %description -l en_US mtime -> mime, time, m time
> rdist.src:33: E: buildprereq-use byacc bison
> rdist.src: E: specfile-error warning: line 33: buildprereq is deprecated:
> BuildPreReq: byacc bison
> 1 packages and 0 specfiles checked; 2 errors, 2 warnings.
> $ rpmlint rdist-6.1.5-51.fc17.x86_64.rpm 
> rdist.x86_64: W: summary-ended-with-dot C Maintains identical copies of files
> on multiple machines.
> rdist.x86_64: W: spelling-error %description -l en_US mtime -> mime, time, m
> time
> rdist.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/rdist-6.1.5/rdist-licensing-email.txt
> rdist.x86_64: W: no-manual-page-for-binary oldrdist
> 1 packages and 0 specfiles checked; 0 errors, 4 warnings.
Fixed.

> Notes:
> Maybe put oldrdist in its own package.
This would break the backward-compatibility -Server option. See man rdist(1).

> Licence change to BSD is based only on copy of email, I am not sure if it is
> OK.
Re-license granted by the original author, thus OK.


Is there anything else, Lukas?

Comment 3 Lukáš Nykrýn 2011-08-23 14:18:08 UTC
%clean section and rm at the start of %install section are no longer necessary. So it will maybe good to remove them.

Comment 4 Vojtech Vitek 2011-08-24 13:09:39 UTC
(In reply to comment #3)
> %clean section and rm at the start of %install section are no longer necessary.
> So it will maybe good to remove them.
Both removed.

Comment 5 Lukáš Nykrýn 2011-08-24 13:24:42 UTC
I think that everything is OK now.

Comment 6 Vojtech Vitek 2012-05-14 22:09:41 UTC
Closing this bz. The changes went Rawhide long time ago.


Note You need to log in before you can comment on or make changes to this bug.